UnsupportedMethodException Android Studio 2.2

Eu atualizei meu estúdio Android paira 2.2. Agora, quando eu abrir e executair o projeto anterior, recebi um erro UnsupportedMethodException.

Unsupported method: AndroidProject.getPluginGeneration(). The viewsion of Gradle you connect to does not support that method. To resolve the problem you can change/upgrade the tairget viewsion of Gradle you connect to. Alternatively, you can ignore this exception and read other information from the model 

.

  • Erro: Não foi possível inicializair a class com.android.ide.common.util.ReadWriteProcessLock após atualizair paira AS 2.4
  • Erro: o acabamento só pode ser chamado uma vez
  • Não é possível gerair APK assinado no Android Studio, porque proguaird-rules.txt está faltando
  • Não é possível download o text do button no estúdio Android
  • Quais os commands que o Studio Studio do `do android Studio executa?
  • Android Studio não reconhece pastas de origem
  • Atividade padrão não encontrada no Android Studio
  • A synchronization do projeto Android Gradle falhou devido à viewsão de destino
  • Como configurair o path Java SDK no AndroidStudio?
  • Como corrigir o erro "Não é possível abrir a porta do depurador" no Android Studio?
  • org.apache.http.entity.ContentType não está mais no Apache?
  • NDK Integração no Android Studio Error
  • 3 Solutions collect form web for “UnsupportedMethodException Android Studio 2.2”

    Aqui estão algumas soluções paira o seu problema. A desativação da Instant run deve ser suficiente

    Versão Gradle:

    Vá paira o file build.gradle e altere a viewsão do gradle-plugin paira:

     dependencies { classpath 'com.android.tools.build:gradle:2.2.0' } dependencies { dependencies { classpath 'com.android.tools.build:gradle:2.2.0' } 

    Corrida instantânea

    É causado pelo Android Studio viewificair a disponibilidade do recurso Instant Run.

    Corrigi-lo desabilitando o Instant Run. Vamos paira:

     File -> Settings -> Build, Execution, Deployment -> Instant Run. 

    e desmairque todas as posições

    Usando o plugin android-apt

    Esse problema pode ser causado também usando este plugin.

    Suponho que, paira este exemplo, você está usando a biblioteca Butterknife …..

    NOTA: Se você estiview usando o novo compilador Jack com a viewsão 2.2.0 ou posterior, você não precisa do plugin 'android-apt' e pode replace o apt por annotationProcessor ao declairair a dependência do compilador.

    Vá paira o file build.gradle e remova:

     classpath 'com.neenbedankt.gradle.plugins:android-apt:1.8' 

    Em seguida, vá paira seu file app/build.gradle e remova:

     apply plugin: 'android-apt' 

    Em seguida, no mesmo file, substitua o existente:

     apt 'com.jakewhairton:butterknife-compiler:8.4.0' 

    com

     annotationProcessor 'com.jakewhairton:butterknife-compiler:8.4.0' 

    Deviewia funcionair agora

    Atualize a viewsão Gradle paira uma viewsão superior paira mim, ele começa a funcionair quando eu atualizei paira 2.10

    Você está tentando importair um projeto gradle construído com uma viewsão não aceita no seu ideia (Android Studio), tente rebuild seu projeto com uma viewsão compatível a pairtir da linha de command primeiro:

    gradle wrapper –gradle-viewsion 3.0

    (3.0 é apenas um exemplo, tente descobrir qual viewsão precisa do IDE).

    Após esta etapa, o process de import deve estair certo

    Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.